<mamecheat version="1">

  <cheat desc="Infinite Lives">
    <script state="run">
      <action>maincpu.pb@E77D=03</action>
    </script>
  </cheat>

  <cheat desc="Invincibility">
    <script state="on">
      <action>temp0 =maincpu.rb@54B8</action>
      <action>temp1 =maincpu.rb@54D1</action>
      <action>temp2 =maincpu.rb@57A6</action>
      <action>temp3 =maincpu.rb@580E</action>
      <action>temp4 =maincpu.rb@6B36</action>
      <action>temp5 =maincpu.rw@5522</action>
    </script>
    <script state="run">
      <action>maincpu.rb@54B8=18</action> <!-- Blue Samurai Pt 1 -->
      <action>maincpu.rb@54D1=18</action> <!-- Blue Samurai Pt 2 -->
      <action>maincpu.rb@57A6=00</action> <!-- Cyan Samurai Pt 1 -->
      <action>maincpu.rb@580E=18</action> <!-- Cyan Samurai Pt 2 -->
      <action>maincpu.rb@6B36=18</action> <!-- Shuriken -->
      <action>maincpu.rw@5522=5471</action> <!-- Blue Samurai Pt 3 -->
    </script>
    <script state="off">
      <action>maincpu.rb@54B8=temp0 </action>
      <action>maincpu.rb@54D1=temp1 </action>
      <action>maincpu.rb@57A6=temp2 </action>
      <action>maincpu.rb@580E=temp3 </action>
      <action>maincpu.rb@6B36=temp4 </action>
      <action>maincpu.rw@5522=temp5 </action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
